#include "stdafx.h"
#include "Impressionist.h"
#include "ImpressionistDoc.h"

#include "ImpBrush.h"

int CImpBrush::c_nBrushCount = 0;
CImpBrush** CImpBrush::c_pBrushes = NULL;

CImpBrush::CImpBrush( CImpressionistDoc* pDoc, char* name ) :
	m_pDoc(pDoc), m_pBrushName(name)
{
}

CImpressionistDoc* CImpBrush::GetDocument( void )
{
	return m_pDoc;
}

char* CImpBrush::BrushName( void )
{
	return m_pBrushName;
}

void CImpBrush::SetColor ( CPoint source, CBrushDialog* dlg )
{
	CImpressionistDoc* pDoc = GetDocument();

	GLubyte color[3];
	memcpy ( color, pDoc->GetOriginalPixel( source ), 3 );
	glColor3ubv( color );
}


 