// ImpressionistDoc.h : interface of the CImpressionistDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMPRESSIONISTDOC_H__4ADBB611_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_)
#define AFX_IMPRESSIONISTDOC_H__4ADBB611_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define UPDATE_HINT_NEWORIG   1L

#include "stdafx.h"
#include "Impressionist.h"

#include "ImpBrush.h"
#include "BrushDialog.h"	// Added by ClassView

class CPaintView;

class CImpressionistDoc : public CDocument
{
protected: // create from serialization only
	CImpressionistDoc();
	DECLARE_DYNCREATE(CImpressionistDoc)

// Attributes
public:
	int m_nWidth, m_nHeight;
	int m_nPaintWidth, m_nPaintHeight;
	unsigned char* m_ucBitmap;
	unsigned char* m_ucPainting;

	CImpBrush* m_pCurrentBrush;

	CView* m_pPaintView;
	CBrushDialog* m_pBrushDlg;

// Operations
public:
	GLubyte* GetOriginalPixel( int x, int y );
	GLubyte* GetOriginalPixel( const CPoint p );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImpressionistDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void OnCloseDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	void AllocateDialog( void );
	virtual ~CImpressionistDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CImpressionistDoc)
	afx_msg void OnImageSelect();
	afx_msg void OnBrush();
	afx_msg void OnFileSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMPRESSIONISTDOC_H__4ADBB611_B3A5_11D1_87D4_00A0C9062ECB__INCLUDED_)
